Subject: bug#9891: 24.0.90; Duplicated entry at the info directory

From: Juri Linkov <[email-masked]>
Date: Wed, 02 Nov 2011 12:01:23 +0200

> That happens to work for you because by chance the "Texinfo
> documentation system" section only exists in one of the dir files, so
> the entries in that section are "unambiguously" bound to that dir file
> and hence to the directory where it was found.  But that's not the way
> `dir' files and section headers usually behave, so there's no code in
> info.el to try and special case such situations.

Now I understand that `dir' files are not necessarily located in the
same directory as Info files they are referring to.  Then absolute
filenames of Info files can't be deduced from the absolute filename
of the `dir' file.